#!/usr/bin/env python
# -*- coding: utf8 -*-
# Con el utf8 te coge acentos.
# Polimorfismo: clases hijas sobreescriben métodos

class Figura:
    def __init__(self):
        pass

    def area(self):
        pass

    def nombre(self):
        return "Figura"

class Circulo(Figura):
    def __init__(self, r):
        self.radio = r

    def area(self):
        return 3.14 * self.radio**2

    def nombre(self):
        return "Círculo"

class Rectangulo(Figura):
    def __init__(self, b, h):
        self.base = b
        self.altura = h

    def area(self):
        return self.base * self.altura

    def nombre(self):
        return "Rectángulo"

class Triangulo(Figura):
    def __init__(self, b, h):
        self.base = b
        self.altura = h

    def area(self):
        return (self.base * self.altura) / 2

    def nombre(self):
        return "Triángulo"

c = Circulo(5)
print c.nombre()
print c.area()

r = Rectangulo(7, 4)
print r.nombre()
print r.area()

r = Triangulo(7, 4)
print r.nombre()
print r.area()